using System;

public class Program
{
    public static void Main(string[] args)
    {
        string[] s1 = Console.ReadLine().Split();
        int n = int.Parse(s1[0]);
        int l = int.Parse(s1[1]);
        int k = -1;
        string[] s2 = Console.ReadLine().Split();
        int[] stalaktiti = new int[n];
        for (int i = 0; i < n; i++)
        {
            stalaktiti[i] = int.Parse(s2[i]);
            if (l >= stalaktiti[i]) {
                k = i + 1;
                break;
            }
        }
        Console.WriteLine(k);
    }
}